package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.*;
import cn.estsh.i3plus.ext.mes.pojo.model.FourMDetailModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;


/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFourMDetailService {

    /**
     * 新增
     *
     * @param detail
     * @return
     */
    MesFourMDetail insert(MesFourMDetail detail);

    /**
     * 修改
     *
     * @param detail
     * @return
     */
    void update(MesFourMDetail detail);

    /**
     * 查询
     *
     * @param detail
     * @param pager
     * @return
     */
    ListPager<FourMDetailModel> queryByPager(MesFourMDetail detail, Pager pager);

    List<String> queryCell(String workCenterCode, String organizeCode);

    List<MesWorkOrderExt> queryWorkOrder(String workCenterCode, String organizeCode);

    ListPager<MesFourMChange> queryByPager(MesFourMChange fourMChange, Pager pager);

    ListPager<MesFourMConfirm> queryByPager(MesFourMConfirm fourMConfirm, Pager pager);

    ListPager<MesFourMManage> queryByPager(MesFourMManage equipmentParam, Pager pager);


    /**
     * 转变集团检查更新
     * 新增
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateShiftGroupCheck(List<MesFourMDetail> details);

    /**
     * 质量检查更新
     * 修改
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateQualityCheck(List<MesFourMDetail> details);


}
